package com.xisc.pm.infra.enums;
public enum PdRuleSetType {

        C01("C01", "连铸出钢材组板—合同抽取"), C03("C03", "连铸出钢材组板-非轴合同筛选"), C04("C04", "连铸出钢材组板—非轴合同匹配"),
        C05("C05", "连铸出钢材组板-结果检查"), A01("A01", "虚拟钢锭组板—合同抽取"), A03("A03", "虚拟钢锭组板-非轴合同抽取"),A04("A04", "出钢材钢锭组板—非轴合同匹配"),
        A05("A05", "出钢材钢锭组板-结果检查"),
        S01("S01", "余坯组板-合同抽取"), S02("S02", "余坯组板-非轴合同匹配") , S03("S03", "余坯组板-非轴合同筛选") ,S05("S05", "余坯组板-结果检查"),
        P01("P01","余材组板-合同抽取"),P03("P03" , "余材钢板组板-非轴合同抽取条件"),P06("P06","余材组板-合同抽取(补充)"),C06("C06", "进加热炉长度基准限制检查"), S06("S06", "余材板坯组板二次设计结果检查")
        , P05("P05" , "余材钢板组板-非轴合同抽取条件");

        private final String code;
        private final String desc;

        // 私有构造函数
        PdRuleSetType(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

        // Getter 方法
        public String getCode() {
            return code;
        }

        public String getDesc() {
            return desc;
        }

        // 根据code查找枚举项（可选）
        public static PdRuleSetType getByCode(String code) {
            for (PdRuleSetType type : PdRuleSetType.values()) {
                if (type.getCode().equals(code)) {
                    return type;
                }
            }
            return null;
        }

    }